## List Aggregations

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/aggregations \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/aggregations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/aggregations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

* **200**: Successful response
* **4XX**: Client error
* **5XX**: Server error

### Sample JSON Response

```
{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "customFields": {},
      "name": "<string>",
      "quantityPerUnit": 123,
      "unit": "<string>",
      "code": "<string>",
      "segments": [
        {}
      ],
      "accountingProductId": "<string>",
      "meterId": "<string>",
      "targetField": "<string>",
      "segmentedFields": [
        "<string>"
      ],
      "defaultValue": 123,
      "customSql": "<string>",
      "productId": "<string>",
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>"
    }
  ],
  "nextToken": "<string>"
}
```

### Additional Information

#### Authorization
- `Authorization`: string, required in header. 
- Supports machine to machine authentication using `clientCredentials` OAuth2 flow.

#### Path Parameters
- `orgId`: string, required, UUID of the Organization.

#### Query Parameters
- `pageSize`: integer, number of Aggregations to retrieve per page, range: `1 <= x <= 100`.
- `nextToken`: string for multi-page retrievals.
- `productId`: array of UUIDs of the Products to retrieve Aggregations for.
- `ids`: array of Aggregation IDs to retrieve.
- `codes`: array of Aggregation codes to retrieve.
